Poll Enrich Account with People Job
Poll the status of a fast people enrichment job.
Returns the current status and, when completed, the list of discovered people.
Status values:
pending- Job created, not yet startedrunning- Discovery in progresscompleted- All done;resultcontains discovered peoplefailed- Job failed; checkerror_message
Polling recommendation: Every 2-3 seconds. Typically completes in 1-5 seconds.
Post completion, this API returns the people ids of the discovered people.
Use the Get People Endpoint /api/v1/people/batch to get the people details.
Documentation Index
Fetch the complete documentation index at: https://docs.openfunnel.dev/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Response
Successful Response
Response from polling a fast people discovery job.
Status values:
pending- Job created, not yet startedrunning- Discovery in progresscompleted- All done;resultcontains discovered peoplefailed- Job failed; checkerror_message
Polling recommendation: Every 2-3 seconds. Typical discovery completes in 1-5 seconds.
Job ID
'pending', 'running', 'completed', or 'failed'
Progress info - available when status is 'running' or 'completed'
Account ID that was enriched
IDs of discovered people - available when status is 'completed'. Use GET /api/v1/people/batch to fetch full details.
Audience URL if an audience was created
Error details - present only when status is 'failed'